---
title: "Verify an lp slot id and confirm the period is still open (calendar worker only)"
---

> Documentation Index
> Fetch the complete documentation index at: https://developer.channelautomations.com/llms.txt
> Use this file to discover all available pages before exploring further.

Path: Channel Automation API › Integrations

`POST /api/leadperfection/forward-look/internal/resolve-slot`

## Code samples

### cURL

```bash
curl --request POST \
  --url https://api.channelautomation.com/api/leadperfection/forward-look/internal/resolve-slot
```

### TypeScript

```typescript
const url = 'https://api.channelautomation.com/api/leadperfection/forward-look/internal/resolve-slot';
const options = {method: 'POST'};

fetch(url, options)
  .then(res => res.json())
  .then(json => console.log(json))
  .catch(err => console.error(err));
```

### Python

```python
import requests

url = "https://api.channelautomation.com/api/leadperfection/forward-look/internal/resolve-slot"

response = requests.post(url)

print(response.text)
```

## Responses

### 200

{ ok, start_time, end_time, time_zone } or { ok:false, reason }


Source: https://developer.channelautomations.com/api/post-api-leadperfection-forward-look-internal-resolve-slot/index.md
